<?php



use Website\Controller\Action;



class SnippetController extends Action {



    public function init(){

        parent::init();

        $this->view->helper = new \Website\Helper\SnippetHelper($this->view);

    }



    public function newFooterAction(){



    }



    public function topAction(){}



    public function headerAccueilAction(){}



    public function headerSearchAction(){}



    public function footerAction(){}



    public function pressAction(){

        $articles = new \Pimcore\Model\Object\ArticlePress\Listing();

        $this->view->articles = $articles;

    }



    public function contactFormLightAction(){}



    public function menuAction(){}



    public function langDropdownAction(){

        $this->enableLayout();

    }



    public function editOpeningHoursAction(){}



    public function headerSearchLightAction(){}



    public function clientsAction(){

        $this->view->clients = \Website\Model\Agency::getClients(array());

        $this->view->headLink()->appendStylesheet('/website/views/layouts/css/slick.css');

        $this->view->headLink()->appendStylesheet('/website/views/layouts/css/slick-theme.css');

    }



    public function lastCommentsAction(){

        $number = $this->config->last_message_number = '' ? 3 : $this->config->last_message_number;

        $this->view->comments = \Website\Model\Comment::getLast($number);

    }



    public function press2Action(){

        $this->view->headScript()->appendFile('/website/views/layouts/js/jquery.fancybox.pack.js');

        $this->view->headLink()->appendStylesheet('/website/views/layouts/css/jquery.fancybox.css');

    }



    public function clients2Action(){}



    public function footer2Action(){}



    public function partners2Action(){}



    public function headerAgencyAction()

    {

        

    }



}